[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetScrollInfo

Sets (selected) parameters of a scroll bar.

## Declaration

Source position: winapih.inc line 256

`public function TWidgetSet.SetScrollInfo(`
`Handle: HWND;`
`SBStyle: Integer;`
`ScrollInfo: TScrollInfo;`
`Redraw: Boolean`
`):Integer; virtual;`

## Arguments

`Handle` |  | The handle of a ScrollBar, or of a window containing scrollbars.
`SBStyle` |  | The ScrollBar kind.
`ScrollInfo` |  | Contains the new values.
`Redraw` |  | True forces a repaint of the ScrollBar.

## Function result

The (new) slider position.

## See also

TWidgetSet.GetScrollInfo |  | Returns all or selected information about a ScrollBar.